unit Project1_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ Project1 Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_Project1: TGUID = '{B3DE3CC2-C629-11D1-8FE9-E4CD05C10000}';

const

{ Component class GUIDs }
  Class_l: TGUID = '{FFDACBA2-B935-11D2-BBA0-0020182F8F48}';

type

{ Forward declarations: Interfaces }
  Il = interface;
  IlDisp = dispinterface;

{ Forward declarations: CoClasses }
  l = Il;

{ Dispatch interface for l Object }

  Il = interface(IDispatch)
    ['{FFDACBA1-B935-11D2-BBA0-0020182F8F48}']
  end;

{ DispInterface declaration for Dual Interface Il }

  IlDisp = dispinterface
    ['{FFDACBA1-B935-11D2-BBA0-0020182F8F48}']
  end;

{ lObject }

  Col = class
    class function Create: Il;
    class function CreateRemote(const MachineName: string): Il;
  end;



implementation

uses ComObj;

class function Col.Create: Il;
begin
  Result := CreateComObject(Class_l) as Il;
end;

class function Col.CreateRemote(const MachineName: string): Il;
begin
  Result := CreateRemoteComObject(MachineName, Class_l) as Il;
end;


end.
